Skip to main content
GET
/
suppression-groups
curl --request GET \
  --url 'https://api.autosend.com/v1/suppression-groups?includeGlobal=true' \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "groups": [
      {
        "id": "69044947cc370f8a63845236",
        "groupId": "20XWO",
        "name": "Marketing Unsubscribes",
        "description": "Users who opted out of marketing",
        "isGlobal": false,
        "isActive": true,
        "createdAt": "2025-10-31T05:29:43.906Z",
        "updatedAt": "2026-02-27T10:16:26.095Z",
        "suppressionCount": 0
      },
      {
        "id": "69c3a0c19278fca074bebb74",
        "groupId": "B43YU",
        "name": "Bounced Addresses",
        "description": "Hard bounces from transactional sends",
        "isGlobal": true,
        "isActive": true,
        "createdAt": "2026-03-25T08:45:53.085Z",
        "updatedAt": "2026-03-25T08:45:53.085Z",
        "suppressionCount": 196
      }
    ]
  }
}
curl --request GET \
  --url 'https://api.autosend.com/v1/suppression-groups?includeGlobal=true' \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "groups": [
      {
        "id": "69044947cc370f8a63845236",
        "groupId": "20XWO",
        "name": "Marketing Unsubscribes",
        "description": "Users who opted out of marketing",
        "isGlobal": false,
        "isActive": true,
        "createdAt": "2025-10-31T05:29:43.906Z",
        "updatedAt": "2026-02-27T10:16:26.095Z",
        "suppressionCount": 0
      },
      {
        "id": "69c3a0c19278fca074bebb74",
        "groupId": "B43YU",
        "name": "Bounced Addresses",
        "description": "Hard bounces from transactional sends",
        "isGlobal": true,
        "isActive": true,
        "createdAt": "2026-03-25T08:45:53.085Z",
        "updatedAt": "2026-03-25T08:45:53.085Z",
        "suppressionCount": 196
      }
    ]
  }
}

Authorizations

Authorizations
string | header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

onlyGlobal
boolean
When true, returns only global suppression groups, excluding any project-specific groups.
includeGlobal
boolean
When true, includes global suppression groups in the results alongside project-specific groups.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

onlyGlobal
boolean

When true, returns only global suppression groups.

includeGlobal
boolean

When true, includes global suppression groups in the results alongside project-specific ones.

Response

200 - application/json

A list of suppression groups.

success
boolean
Example:

true

data
object[]